---
# DNS interal SRV
apiVersion: dns.cnrm.cloud.google.com/v1beta1
kind: DNSRecordSet
metadata:
  name: alertmanager-internal-srv
  annotations:
    cnrm.cloud.google.com/project-id: {{ .Values.google_project }}
spec:
  # _Service._Proto.Name
  name: _alertmanager-internal._tcp.ops.gke.gitlab.net.
  type: SRV
  ttl: 3600
  managedZoneRef:
    external: kube-external-dns-ops
  rrdatas:
    # Priority Weight Port Target
    - 0 10 9093 alertmanager-internal-0.ops.gke.gitlab.net.
    - 0 10 9093 alertmanager-internal-1.ops.gke.gitlab.net.
    - 0 10 9093 alertmanager-internal-2.ops.gke.gitlab.net.
---
# TODO: move this to external-dns annotations once operator + chart are upgraded https://gitlab.com/gitlab-com/gl-infra/reliability/-/issues/14419
# DNS internal 0
apiVersion: externaldns.k8s.io/v1alpha1
kind: DNSEndpoint
metadata:
  name: alertmanager-internal-0
spec:
  endpoints:
  - dnsName: alertmanager-internal-0.ops.gke.gitlab.net
    recordTTL: 3600
    recordType: A
    targets:
      - 10.250.26.109
---
# DNS internal 1
apiVersion: externaldns.k8s.io/v1alpha1
kind: DNSEndpoint
metadata:
  name: alertmanager-internal-1
spec:
  endpoints:
  - dnsName: alertmanager-internal-1.ops.gke.gitlab.net
    recordTTL: 3600
    recordType: A
    targets:
      - 10.250.26.110
---
# DNS internal 2
apiVersion: externaldns.k8s.io/v1alpha1
kind: DNSEndpoint
metadata:
  name: alertmanager-internal-2
spec:
  endpoints:
  - dnsName: alertmanager-internal-2.ops.gke.gitlab.net
    recordTTL: 3600
    recordType: A
    targets:
      - 10.250.26.114
